//
// C++ Implementation: kmfruletragetoptioneditinterface
//
// Description:
//
//
// Author: Christian Hubinger <chubinger@gmail.com>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "kmfruletargetoptioneditinterface.h"

KMFRuleTargetOptionEditInterface::KMFRuleTargetOptionEditInterface(QObject *parent, const char *name)
		: KMFRuleOptionEditInterface(parent, name) {
	m_managedTargets << "DNAT" << "SNAT";

}


KMFRuleTargetOptionEditInterface::~KMFRuleTargetOptionEditInterface() {}
bool KMFRuleTargetOptionEditInterface::manageTarget( const QString& target ) const {
	bool found = false;
	for ( uint i = 0; i < m_managedTargets.count(); i++ ) {
        QString currTarget = *m_managedTargets.at( i );
		if ( currTarget == target )
			found = true;
    }
	return found;

}

